Page MenuHomePhabricator

Upload wikidiff changes to Gerrit
Closed, ResolvedPublic

Description

@jkroll changed wikidiff to show changes inside moved paragraphs. It's all in a separate branch on GitHub, so we need to upload it to Gerrit in order to get a first review.

Event Timeline

Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Nov 2 2016, 10:09 AM

Change 319866 had a related patch set uploaded (by WMDE-Fisch):
Extend WikiDiff2 to show changes inside moved paragraphes

https://gerrit.wikimedia.org/r/319866

WMDE-Fisch moved this task from Todo to Done on the WMDE-QWERTY-Team board.Nov 4 2016, 3:03 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Nov 8 2016, 3:15 PM
Tobi_WMDE_SW closed this task as Resolved.Nov 15 2016, 11:14 AM

Change 319866 had a related patch set uploaded (by Jkroll):
[WIP] Extend WikiDiff2 to show changes inside moved paragraphs This is the moved-line-diff branch by @jkroll copied from GitHub that was started to extend WikiDiff2 with options to make changes in moved paragraphs visible.

https://gerrit.wikimedia.org/r/319866

Change 356582 had a related patch set uploaded (by Jkroll; owner: MaxSem):
[mediawiki/php/wikidiff2@master] [WIP] Extend WikiDiff2 to show changes inside moved paragraphs - better change/add/delete distinction Improve handling of change/add/delete ops in diff engine so Change 319866 gets a chance to run.

https://gerrit.wikimedia.org/r/356582

Change 319866 had a related patch set uploaded (by Jkroll; owner: WMDE-Fisch):
[mediawiki/php/wikidiff2@master] Extend WikiDiff2 to show changes inside moved paragraphs

https://gerrit.wikimedia.org/r/319866

Change 356582 had a related patch set uploaded (by Jkroll; owner: MaxSem):
[mediawiki/php/wikidiff2@master] Better change/add/delete distinction for DiffOps

https://gerrit.wikimedia.org/r/356582

Change 356582 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Better change/add/delete distinction for DiffOps

https://gerrit.wikimedia.org/r/356582

Change 319866 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Extend WikiDiff2 to show changes inside moved paragraphs

https://gerrit.wikimedia.org/r/319866